Subject: [CHANNEL-BINDING] draft-altman-tls-channel-bindings-10 -- better text on sync problem

From: Nicolas Williams <[email-masked]>
Date: Tue, 30 Mar 2010 12:52:57 -0500

I've just posted draft-altman-tls-channel-bindings-10:

http://www.ietf.org/internet-drafts/draft-altman-tls-channel-bindings-10.txt

I realized that the best way to avoid the synchronization problem is to
simply not request re-negotiation on the server side during application-
layer authentication.  I made that a MUST because there's typically an
API by which server-side apps can request re-negotiation.  I made the
client-side avoidance technique a SHOULD because the necessary APIs
might be missing.

With this change I'm happy to adopt the MSFT variant of tls-unique
unchanged.

Alexey,

I believe that draft-altman-tls-channel-bindings-10.txt is ready for an
IETF Last Call.

Nico
--